> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of a workflow execution (admin only)

> Retrieve all WorkflowNodeExecution records for a given WorkflowExecution heron_id



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/workflow/{workflow_heron_id}/executions/end_user/{end_user_heron_id}
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/workflow/{workflow_heron_id}/executions/end_user/{end_user_heron_id}:
    get:
      tags:
        - Workflows
      summary: Get the status of a workflow execution (admin only)
      description: >-
        Retrieve all WorkflowNodeExecution records for a given WorkflowExecution
        heron_id
      parameters:
        - description: The heron ID of the end user
          in: path
          name: end_user_heron_id
          required: true
          schema:
            type: string
        - description: The heron ID of the workflow
          in: path
          name: workflow_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WorkflowExecutionSchema'
                type: array
          description: Workflow execution status
        '404':
          description: End user not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    WorkflowExecutionSchema:
      properties:
        created:
          format: date-time
          readOnly: true
          type: string
        end_user_heron_id:
          nullable: true
          readOnly: true
          type: string
        end_user_name:
          nullable: true
          readOnly: true
          type: string
        heron_id:
          readOnly: true
          type: string
        single_node_id:
          nullable: true
          readOnly: true
          type: string
        started_at:
          format: date-time
          readOnly: true
          type: string
        status:
          readOnly: true
          type: string
        workflow_version_id:
          readOnly: true
          type: integer
        workflow_version_number:
          readOnly: true
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````